View Issue Details

IDProjectCategoryView StatusLast Update
0002651Documents*.hlfpublic2014-04-23 12:35
ReporterJohnDoeAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002651: TechInfo #52: Saved???/HistoryCount
DescriptionИнформация в TechInfo.txt устарела.
Сейчас эти параметры расположены в базе, причём имена ключей и умолчания отличаются от приведённых.

Требуется создать раздел в *.hlf, и вызывать его из редактора по ShiftF1.
Steps To ReproduceHistory.CommandHistory.Count
History.CommandHistory.Lifetime
History.DialogHistory.Count
History.DialogHistory.Lifetime
History.FolderHistory.Count
History.FolderHistory.Lifetime
History.ViewEditHistory.Count
History.ViewEditHistory.Lifetime
TagsNo tags attached.

Activities

vskirdin

2014-04-18 11:48

administrator   bugnote:0012242

А патч где?

JohnDoe

2014-04-18 11:51

updater   bugnote:0012243

Квалификация не позволяет.
Но могу подготовить текст для нового раздела справки.

vskirdin

2014-04-21 11:38

administrator   bugnote:0012254

давай текст

vskirdin

2014-04-21 12:53

administrator   bugnote:0012257

Так?
@History.Config
$ #far:config History.*.*#
    Блок параметров History.*.* позволяет уточнять размеры истории (.Count)
и время жизни пунктов (.Lifetime) для следующих историй:
    
    History.CommandHistory.* - история ~команд~@History@ в командной строке
    History.DialogHistory.* - история строк ввода в диалогах
    History.FolderHistory.* - история ~посещения папок~@HistoryFolders@
    History.ViewEditHistory.* - история ~просмотра и редактирования~@HistoryViews@

    По умолчанию
       размер (.Count) = 1000 пунктов
       время жизни (.Lifetime) = 90 дней

    Изменить эти параметры возможно через ~far:config~@FarConfig@

JohnDoe

2014-04-22 11:53

updater   bugnote:0012260

Last edited: 2014-04-22 12:04

View 3 revisions

Я бы так написал:
~~~~~~~~~~~~~~~~
@History.Config
$ #far:config History.*#

    Данный блок параметров позволяет изменить размеры истории и время жизни
пунктов для следующих историй:
  
    - история ~команд~@History@ в командной строке:
      #History.CommandHistory.Count#
      #History.CommandHistory.Lifetime#

    - история строк ввода в диалогах:
      #History.DialogHistory.Count#
      #History.DialogHistory.Lifetime#
    
    - история ~посещения папок~@HistoryFolders@:
      #History.FolderHistory.Count#
      #History.FolderHistory.Lifetime#

    - история ~просмотра и редактирования~@HistoryViews@:
      #History.ViewEditHistory.Count#
      #History.ViewEditHistory.Lifetime#

    По умолчанию:
      размер (.Count) = 1000 пунктов
      время жизни (.Lifetime) = 90 дней

    Изменить эти параметры возможно через ~far:config~@FarConfig@
~~~~~~~~~~~~~

Но неясен один момент: из двух параметров (.Count и .Lifetime) выбирается меньший или больший?

vskirdin

2014-04-22 16:18

administrator   bugnote:0012262

Что быстрее наступит. Вроде так.

JohnDoe

2014-04-22 16:58

updater   bugnote:0012265

В других местах справки используется термин "элемент" (а не "пункт"). Поэтому:
~~~~~~
@History.Config
$ #far:config History.*#

    Данный блок параметров позволяет ограничить размеры списков и время жизни элементов следующих историй:
  
    - история ~команд~@History@ в командной строке:
      #History.CommandHistory.Count#
      #History.CommandHistory.Lifetime#

    - история строк ввода в диалогах:
      #History.DialogHistory.Count#
      #History.DialogHistory.Lifetime#
    
    - история ~посещения папок~@HistoryFolders@:
      #History.FolderHistory.Count#
      #History.FolderHistory.Lifetime#

    - история ~просмотра и редактирования~@HistoryViews@:
      #History.ViewEditHistory.Count#
      #History.ViewEditHistory.Lifetime#

    По умолчанию:
      максимальный размер списка (.Count) = 1000 элементов
      время жизни элемента (.Lifetime) = 90 дней

    Изменить эти параметры возможно через ~far:config~@FarConfig@
~~~~~~~~~~~

vskirdin

2014-04-22 19:00

administrator   bugnote:0012267

build 3875

JohnDoe

2014-04-23 12:04

updater   bugnote:0012274

порядок

Issue History

Date Modified Username Field Change
2014-04-18 11:46 JohnDoe New Issue
2014-04-18 11:48 vskirdin Note Added: 0012242
2014-04-18 11:51 JohnDoe Note Added: 0012243
2014-04-21 11:38 vskirdin Note Added: 0012254
2014-04-21 12:53 vskirdin Note Added: 0012257
2014-04-22 11:53 JohnDoe Note Added: 0012260
2014-04-22 11:53 JohnDoe Note Edited: 0012260 View Revisions
2014-04-22 12:04 JohnDoe Note Edited: 0012260 View Revisions
2014-04-22 16:18 vskirdin Note Added: 0012262
2014-04-22 16:58 JohnDoe Note Added: 0012265
2014-04-22 19:00 vskirdin Note Added: 0012267
2014-04-22 19:00 vskirdin Assigned To => vskirdin
2014-04-22 19:00 vskirdin Status new => feedback
2014-04-23 12:04 JohnDoe Note Added: 0012274
2014-04-23 12:04 JohnDoe Status feedback => assigned
2014-04-23 12:35 vskirdin Status assigned => closed
2014-04-23 12:35 vskirdin Resolution open => fixed
2014-04-23 12:35 vskirdin Fixed in Version => 3.0